MongoGridFSFile::write
MongoGridFSCursor::__construct
GridFS Classes
PHP Manual

# The MongoGridFSCursor class

(PECL mongo >=0.9.0)

## Introduction

Cursor for database file results.

## Class synopsis

extends MongoCursor {
/* Fields */
protected MongoGridFS $gridfs = `NULL` ;
/* Methods */
public __construct ( MongoGridFS `$gridfs` , resource `$connection` , string `$ns` , array `$query` , array `$fields` )
public MongoGridFSFile current ( void )
public MongoGridFSFile getNext ( void )
public string key ( void )
}

## Table of Contents

- MongoGridFSCursor::__construct — Create a new cursor
- MongoGridFSCursor::current — Returns the current file
- MongoGridFSCursor::getNext — Return the next file to which this cursor points, and advance the cursor
- MongoGridFSCursor::key — Returns the current result's filename

MongoGridFSFile::write
MongoGridFSCursor::__construct
GridFS Classes
PHP Manual